Bug 716432 - when directory server debugging enabled, ipactl should not display debugging
Summary: when directory server debugging enabled, ipactl should not display debugging
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-24 12:17 UTC by Jenny Severance
Modified: 2015-01-04 23:49 UTC (History)
5 users (show)

Fixed In Version: ipa-2.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: If 389-ds debugging is enabled then the potential exists for copious output to appear in ipactl output. Consequence: The amount of output is unexpected and unnecessary. Fix: Suppress 389-ds debugging output in ipactl. The data is available in the 389-ds error log. Result: More consistent behavior of the ipactl tool.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:36:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Jenny Severance 2011-06-24 12:17:59 UTC
Description of problem:

# ipactl restart
Restarting Directory Service
Shutting down dirsrv:
    PKI-IPA...[  OK  ]
    TESTRELM...[  OK  ]
Starting dirsrv:
    PKI-IPA...[  OK  ]
    TESTRELM...[23/Jun/2011:15:30:10 -0400] - => bin_init
[23/Jun/2011:15:30:10 -0400] - <= bin_init 0
[23/Jun/2011:15:30:10 -0400] - => bitstring_init
[23/Jun/2011:15:30:10 -0400] - <= bitstring_init 0
[23/Jun/2011:15:30:10 -0400] - => boolean_init
[23/Jun/2011:15:30:10 -0400] - <= boolean_init 0
[23/Jun/2011:15:30:10 -0400] - => ces_init
[23/Jun/2011:15:30:10 -0400] - <= ces_init 0
[23/Jun/2011:15:30:10 -0400] - => cis_init
[23/Jun/2011:15:30:10 -0400] - <= cis_init 0
[23/Jun/2011:15:30:10 -0400] - => country_init
[23/Jun/2011:15:30:11 -0400] - <= country_init 0
[23/Jun/2011:15:30:11 -0400] - => delivery_init
[23/Jun/2011:15:30:11 -0400] - <= delivery_init 0
[23/Jun/2011:15:30:11 -0400] - => dn_init
[23/Jun/2011:15:30:11 -0400] - <= dn_init 0
[23/Jun/2011:15:30:11 -0400] - => guide_init
[23/Jun/2011:15:30:11 -0400] - <= guide_init 0
[23/Jun/2011:15:30:11 -0400] - => facsimile_init
[23/Jun/2011:15:30:11 -0400] - <= facsimile_init 0
[23/Jun/2011:15:30:11 -0400] - => fax_init
[23/Jun/2011:15:30:11 -0400] - <= fax_init 0
[23/Jun/2011:15:30:11 -0400] - => time_init
[23/Jun/2011:15:30:11 -0400] - <= time_init 0
[23/Jun/2011:15:30:11 -0400] - => guide_init
[23/Jun/2011:15:30:11 -0400] - <= guide_init 0
[23/Jun/2011:15:30:11 -0400] - => int_init
[23/Jun/2011:15:30:11 -0400] - <= int_init 0
[23/Jun/2011:15:30:11 -0400] - => jpeg_init
[23/Jun/2011:15:30:11 -0400] - <= jpeg_init 0
[23/Jun/2011:15:30:11 -0400] - => nameoptuid_init
[23/Jun/2011:15:30:11 -0400] - <= nameoptuid_init 0
[23/Jun/2011:15:30:11 -0400] - => numstr_init
[23/Jun/2011:15:30:11 -0400] - <= numstr_init 0
[23/Jun/2011:15:30:11 -0400] - => octetstring_init
[23/Jun/2011:15:30:11 -0400] - <= octetstring_init 0
[23/Jun/2011:15:30:11 -0400] - => oid_init
[23/Jun/2011:15:30:11 -0400] - <= oid_init 0
[23/Jun/2011:15:30:11 -0400] - => postal_init
[23/Jun/2011:15:30:11 -0400] - <= postal_init 0
[23/Jun/2011:15:30:11 -0400] - => printable_init
[23/Jun/2011:15:30:11 -0400] - <= printable_init 0
[23/Jun/2011:15:30:11 -0400] - => sicis_init
[23/Jun/2011:15:30:11 -0400] - <= sicis_init 0
[23/Jun/2011:15:30:11 -0400] - => tel_init
[23/Jun/2011:15:30:11 -0400] - <= tel_init 0
[23/Jun/2011:15:30:11 -0400] - => teletex_init
[23/Jun/2011:15:30:11 -0400] - <= teletex_init 0
[23/Jun/2011:15:30:11 -0400] - => telex_init
[23/Jun/2011:15:30:11 -0400] - <= telex_init 0
[23/Jun/2011:15:30:12 -0400] - => uri_init
[23/Jun/2011:15:30:12 -0400] - <= uri_init 0
[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - => clear_pwd_storage_scheme_init
[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - <= clear_pwd_storage_scheme_init 0

[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - => crypt_pwd_storage_scheme_init
[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - <= crypt_pwd_storage_scheme_init 0

[23/Jun/2011:15:30:12 -0400] ReverStoragePlugin - => des_init
[23/Jun/2011:15:30:12 -0400] ReverStoragePlugin - <= des_init 0

[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - => md5_pwd_storage_scheme_init
[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - <= md5_pwd_storage_scheme_init 0

[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - => ns_mta_md5_pwd_storage_scheme_init
[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - <= ns_mta_md5_pwd_storage_scheme_init 0

[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - => sha_pwd_storage_scheme_init
[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - <= sha_pwd_storage_scheme_init 0

[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - => sha256_pwd_storage_scheme_init
[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - <= sha256_pwd_storage_scheme_init 0

[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - => sha384_pwd_storage_scheme_init
[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - <= sha384_pwd_storage_scheme_init 0

[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - => sha512_pwd_storage_scheme_init
[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - <= sha512_pwd_storage_scheme_init 0

[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - => smd5_pwd_storage_scheme_init
[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - <= smd5_pwd_storage_scheme_init 0

[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - => ssha_pwd_storage_scheme_init
[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - <= ssha_pwd_storage_scheme_init 0

[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - => ssha256_pwd_storage_scheme_init
[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - <= ssha256_pwd_storage_scheme_init 0

[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - => ssha384_pwd_storage_scheme_init
[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - <= ssha384_pwd_storage_scheme_init 0

[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - => ssha512_pwd_storage_scheme_init
[23/Jun/2011:15:30:12 -0400] NSPwdStoragePlugin - <= ssha512_pwd_storage_scheme_init 0

[23/Jun/2011:15:30:12 -0400] NS7bitAttr_Init - plugin loaded
[23/Jun/2011:15:30:12 -0400] NSACLPlugin - => acl_init
[23/Jun/2011:15:30:12 -0400] NSACLPlugin - <= acl_init 0
[23/Jun/2011:15:30:12 -0400] NSACLPlugin - <= acl_preop_Init 0
[23/Jun/2011:15:30:12 -0400] NSUniqueAttr_Init - plugin loaded
[23/Jun/2011:15:30:12 -0400] - --> http_client_init -- BEGIN
[23/Jun/2011:15:30:12 -0400] - <-- http_client_init -- END
[23/Jun/2011:15:30:12 -0400] ipa_replication_version - --> repl_version_plugin_init -- begin
[23/Jun/2011:15:30:13 -0400] ipa_replication_version - <-- repl_version_plugin_init -- end
[23/Jun/2011:15:30:13 -0400] ipa-winsync - --> ipa_winsync_plugin_init -- begin
[23/Jun/2011:15:30:13 -0400] ipa-winsync - <-- ipa_winsync_plugin_init -- end
[23/Jun/2011:15:30:13 -0400] ipa-enrollment - Registering plug-in for extended op.
[23/Jun/2011:15:30:13 -0400] NSUniqueAttr_Init - plugin loaded
[23/Jun/2011:15:30:13 -0400] NSUniqueAttr_Init - plugin loaded
[23/Jun/2011:15:30:13 -0400] NSUniqueAttr_Init - plugin loaded
[23/Jun/2011:15:30:13 -0400] NSUniqueAttr_Init - plugin loaded
[23/Jun/2011:15:30:13 -0400] pam_passthru-plugin - => pam_passthruauth_init
[23/Jun/2011:15:30:13 -0400] pam_passthru-plugin - <= pam_passthruauth_init succeeded
[23/Jun/2011:15:30:13 -0400] passthru-plugin - => passthruauth_init
[23/Jun/2011:15:30:13 -0400] passthru-plugin - <= passthruauth_init succeeded
[23/Jun/2011:15:30:13 -0400] roles-plugin - => roles_init
[23/Jun/2011:15:30:13 -0400] roles-plugin - <= roles_init 0
[23/Jun/2011:15:30:13 -0400] schema-compat-plugin - hooking up preoperation callbacks
[23/Jun/2011:15:30:13 -0400] schema-compat-plugin - hooking up postoperation callbacks
[23/Jun/2011:15:30:13 -0400] schema-compat-plugin - hooking up internal postoperation callbacks
[23/Jun/2011:15:30:13 -0400] schema-compat-plugin - registered plugin hooks
[23/Jun/2011:15:30:13 -0400] schema-compat-plugin - plugin initialized
[23/Jun/2011:15:30:13 -0400] - Warning: couldn't find plugin cn=Space Insensitive String Syntax,cn=plugins,cn=config in global list. Adding default descriptive values.
[23/Jun/2011:15:30:13 -0400] - Warning: couldn't find plugin cn=URI Syntax,cn=plugins,cn=config in global list. Adding default descriptive values.
[  OK  ]
Restarting KDC Service
Stopping Kerberos 5 KDC: [  OK  ]
Starting Kerberos 5 KDC: [  OK  ]
Restarting KPASSWD Service
Shutting down ipa_kpasswd: [  OK  ]
Starting ipa_kpasswd: [  OK  ]
Restarting DNS Service
Stopping named: .[  OK  ]
Starting named: [  OK  ]
Restarting HTTP Service
Stopping httpd: [  OK  ]
Starting httpd: [  OK  ]
Restarting CA Service
Stopping pki-ca: [  OK  ]
Starting pki-ca: [  OK  ]


Version-Release number of selected component (if applicable):

ipa-server-2.0.99-1.20110623T0513zgitd9d00f1.el6.x86_64
389-ds-base-1.2.8.4-3.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. enable directory server debugging (example in description is for plugin debug)
2. ipactl restart
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Rob Crittenden 2011-06-29 13:45:06 UTC
This is due to our printing stderr. Are you requesting we no longer display stderr or somehow detect that debugging in 389-ds is enabled and suppress only that?

Comment 2 Jenny Severance 2011-06-29 14:23:31 UTC
somehow detect that debugging is enabled for 389-ds and suppress only that :-)

Comment 3 Dmitri Pal 2011-06-29 17:23:02 UTC
https://fedorahosted.org/freeipa/ticket/1402

Comment 6 Rob Crittenden 2011-10-31 20:34:34 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: If 389-ds debugging is enabled then the potential exists for copious output to appear in ipactl output.
Consequence: The amount of output is unexpected and unnecessary.
Fix: Suppress 389-ds debugging output in ipactl. The data is available in the 389-ds error log.
Result: More consistent behavior of the ipactl tool.

Comment 7 Gowrishankar Rajaiyan 2011-11-03 07:42:05 UTC
[root@decepticons slapd-LAB-ENG-PNQ-REDHAT-COM]# ldapsearch -x -D 'cn=directory manager' -w Secret123 -b 'cn=config' "objectClass=nsslapdConfig"  nsslapd-errorlog-level
# extended LDIF
#
# LDAPv3
# base <cn=config> with scope subtree
# filter: objectClass=nsslapdConfig
# requesting: nsslapd-errorlog-level 
#

# config
dn: cn=config
nsslapd-errorlog-level: 256

# search result
search: 2
result: 0 Success

# numResponses: 2
# numEntries: 1
[root@decepticons slapd-LAB-ENG-PNQ-REDHAT-COM]# 



[root@decepticons slapd-PKI-IPA]# ldapsearch -x -h localhost -p 7389 -D 'cn=directory manager' -w Secret123 -b 'cn=config' "objectClass=nsslapdConfig"  nsslapd-errorlog-level
# extended LDIF
#
# LDAPv3
# base <cn=config> with scope subtree
# filter: objectClass=nsslapdConfig
# requesting: nsslapd-errorlog-level 
#

# config
dn: cn=config
nsslapd-errorlog-level: 256

# search result
search: 2
result: 0 Success

# numResponses: 2
# numEntries: 1
[root@decepticons slapd-PKI-IPA]# 



[root@decepticons ~]# ipactl restart
Restarting Directory Service
    debugging enabled, suppressing output.          <<<<<<<<<<
Restarting KDC Service
Stopping Kerberos 5 KDC:                                   [  OK  ]
Starting Kerberos 5 KDC:                                   [  OK  ]
Restarting KPASSWD Service
Shutting down ipa_kpasswd:                                 [  OK  ]
Starting ipa_kpasswd:                                      [  OK  ]
Restarting DNS Service
Stopping named: .                                          [  OK  ]
Starting named:                                            [  OK  ]
Restarting HTTP Service
Stopping httpd:                                            [  OK  ]
Starting httpd: [Thu Nov 03 13:07:21 2011] [warn] worker ajp://localhost:9447/ already used by another worker
[Thu Nov 03 13:07:21 2011] [warn] worker ajp://localhost:9447/ already used by another worker
                                                           [  OK  ]
Restarting CA Service
Stopping pki-ca:                                           [  OK  ]
Starting pki-ca:                                           [  OK  ]
[root@decepticons ~]# 


Verified in version:

Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.1.3                             Vendor: Red Hat, Inc.
Release     : 8.el6                         Build Date: Wed 02 Nov 2011 03:21:27 AM IST
Install Date: Thu 03 Nov 2011 10:13:53 AM IST      Build Host: x86-012.build.bos.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.1.3-8.el6.src.rpm
Size        : 3381421                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server

Comment 8 errata-xmlrpc 2011-12-06 18:36:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.